<?php

declare(strict_types=1);

namespace App\Enum\Organization;

use App\Enum\EnumMethodsTrait;

/**
 * Catégorie de la structure.
 */
enum CategoryEnum: string
{
    use EnumMethodsTrait;

    case PROFESSIONAL = 'PROFESSIONAL';
    case ARTISTIC_ENSEMBLE = 'ARTISTIC_ENSEMBLE';
    case SCHOOL_OF_ARTS = 'SCHOOL_OF_ARTS';
    case NETWORK = 'NETWORK';
    case ORGANIZER = 'ORGANIZER';
    case PERSON = 'PERSON';
    case OTHER = 'OTHER';
}
